- Qt 5.15
- Qt 3D
- C++ Classes
- QAnimationClip
- Qt 5.15.18 Reference Documentation

# QAnimationClip Class

class Qt3DAnimation::QAnimationClip

Specifies key frame animation data. More...

Header: | #include <QAnimationClip>
qmake: | QT += 3danimation
Inherits: | Qt3DAnimation::QAbstractAnimationClip

- List of all members, including inherited members

## Public Functions

Qt3DAnimation::QAnimationClipData | clipData() const

## Public Slots

void | setClipData(const Qt3DAnimation::QAnimationClipData &clipData)

## Signals

void | clipDataChanged(Qt3DAnimation::QAnimationClipData clipData)

## Detailed Description

## Member Function Documentation

### `[slot]` void QAnimationClip::setClipData(const Qt3DAnimation::QAnimationClipData &clipData)

Set the parameters of the clip according to the clipData provided.

Note: Setter function for property clipData.

See also clipData().

### Qt3DAnimation::QAnimationClipData QAnimationClip::clipData() const

Returns the data describing the animation clip.

Note: Getter function for property clipData.

See also setClipData().